
Redmine - Defect #6384

Target Version contains HTML for one project

2010-09-13 20:54 - Mezz Anon

Status: Closed Start date: 2010-09-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

After porting Redmine to a new server, the Target Version when editing or creating an issue contains HTML (See attached image).

When changing the target version from the list view (right click->target version) it saves without a problem.

The data looks fine for these versions:

mysql> select * from versions where id in (4,69);

+----+------------+------+-------------+----------------+---------------------+-------------------

--+-----------------+--------+---------+

| id | project_id | name | description | effective_date | created_on          | updated_on        

  | wiki_page_title | status | sharing |

+----+------------+------+-------------+----------------+---------------------+-------------------

--+-----------------+--------+---------+

|  4 |          1 | 2.5  |             | 2010-10-27     | 2009-10-30 14:22:52 | 2010-09-08 13:26:4

9 |                 | open   | none    | 

| 69 |          1 | 2.6  |             | NULL           | 2010-07-06 08:34:35 | 2010-09-08 13:27:0

3 |                 | open   | none    | 

+----+------------+------+-------------+----------------+---------------------+-------------------

--+-----------------+--------+---------+

2 rows in set (0.00 sec)

 Redmine r3559

MySQL 5.1.46

Ruby 1.8.7

Rails 3.0.0, 2.3.5

Rack 1.2.1, 1.0.1

I'm stumped as this exact configuration was working on a previous server..

History

#1 - 2010-09-13 20:58 - Felix Schäfer

I've seen this happen with wrong rails versions, make sure redmine uses the right one.

#2 - 2010-09-13 22:47 - Mezz Anon

Looks like that could be it. In environment.rb its 2.3.5 on the previous server, 2.3.2 on the new one - when changing it to 2.3.5 I get an error 500

however.

I'll compare the gems and go from there.

#3 - 2010-09-13 23:03 - Felix Schäfer

Mezz Anon wrote:

Looks like that could be it. In environment.rb its 2.3.5 on the previous server, 2.3.2 on the new one - when changing it to 2.3.5

 Wait wait wait, you realize what that means: you have an environment.rb on your new server that requires an older version of rails? I don't think

redmine ever required 2.3.2, IIRC it went from 2.2.2 to 2.3.4… You have something very fishy going on it seems.

#4 - 2010-09-14 19:32 - Mezz Anon
Updated to r4084.

Gems:

abstract (1.0.0)

actionmailer (3.0.0, 2.3.5, 2.3.2)

actionpack (3.0.0, 2.3.5, 2.3.2)

activemodel (3.0.0)

activerecord (3.0.0, 2.3.5, 2.3.2)

activeresource (3.0.0, 2.3.5, 2.3.2)

activesupport (3.0.0, 2.3.5, 2.3.2)

arel (1.0.1)

builder (2.1.2)

bundler (1.0.0)

erubis (2.6.6)

fastthread (1.0.7)

i18n (0.4.1)

mail (2.2.5)

mime-types (1.16)

mysql (2.8.1)

passenger (2.2.15)

polyglot (0.3.1)

rack (1.2.1, 1.0.1)

rack-mount (0.6.13)

rack-test (0.5.4)

rails (3.0.0, 2.3.5, 2.3.2)

railties (3.0.0)

rake (0.8.7, 0.8.3)

rubygems-update (1.3.7)

thor (0.14.0)

treetop (1.4.8)

tzinfo (0.3.23)

 environment.rb using rails 2.3.5. This is the error when trying to access the landing page:

 I18n::MissingInterpolationArgument in Welcome#index

Showing app/views/news/_news.rhtml where line #6 raised:

missing interpolation argument in "%m/%{count}/%Y %I:%M %p" ({:object=>Fri Oct 30 13:37:57 -0700 2009} given)

Extracted source (around line #6):

3: <%= "(#{l(:label_x_comments, :count => news.comments_count)})" if news.comments_count > 0 %>

4: <br />

5: <% unless news.summary.blank? %><span class="summary"><%=h news.summary %></span><br /><% end %>

6: <span class="author"><%= authoring news.created_on, news.author %></span></p>

Trace of template inclusion: app/views/welcome/index.rhtml

RAILS_ROOT: /srv/www/htdocs/redmine-beta

Application Trace | Framework Trace | Full Trace

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:186:in `interpolate_without_deprecated_syntax'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/active_record/i18n_interpolation_deprecation.rb:21:in `inte

rpolate'

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:49:in `translate'

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:152:in `t'

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:62:in `localize'

/usr/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:231:in `l'

/srv/www/htdocs/redmine-beta/lib/redmine/i18n.rb:48:in `format_time'

/srv/www/htdocs/redmine-beta/app/helpers/application_helper.rb:331:in `time_tag'

/srv/www/htdocs/redmine-beta/app/helpers/application_helper.rb:323:in `authoring'

/srv/www/htdocs/redmine-beta/app/views/news/_news.rhtml:6:in `_run_rhtml_app47views47news47_news46rhtml_locals

_news_news_counter_object'

/srv/www/htdocs/redmine-beta/app/views/welcome/index.rhtml:8:in `_run_rhtml_app47views47welcome47index46rhtml'

#5 - 2010-09-14 22:54 - Felix Schäfer

- Status changed from New to Closed

Just covered that in the forums: http://www.redmine.org/boards/2/topics/16568#message-17334 . In short: i18n broke compatibility from 0.3 to 0.4, get

rid of 0.4.1 and install 0.3.7.
#6 - 2010-09-14 23:54 - Mezz Anon

- Status changed from Closed to Reopened

Thanks Felix.

The original problem of HTML in the Target Version still exists however and it looks like the gems are correct:

abstract (1.0.0)

actionmailer (2.3.5, 2.3.2)

actionpack (2.3.5, 2.3.2)

activerecord (2.3.5, 2.3.2)

activeresource (2.3.5, 2.3.2)

activesupport (2.3.5, 2.3.2)

arel (1.0.1)

builder (2.1.2)

bundler (1.0.0)

erubis (2.6.6)

fastthread (1.0.7)

i18n (0.3.7)

mail (2.2.5)

mime-types (1.16)

mysql (2.8.1)

passenger (2.2.15)

polyglot (0.3.1)

rack (1.2.1, 1.0.1)

rack-mount (0.6.13)

rack-test (0.5.4)

rails (2.3.5, 2.3.2)

rake (0.8.7, 0.8.3)

rubygems-update (1.3.7)

thor (0.14.0)

treetop (1.4.8)

tzinfo (0.3.23)

#7 - 2010-09-15 00:01 - Felix Schäfer

Mmh, can't say for sure what goes wrong there. What does the HTML look like around that, does the selection list work (i.e. can you set a version

from that page)?

I might be the form builder gets tangled up because the versions "look like" FixNums, could you try either changing the name of one or both versions

to something that doesn't look like a number, and/or to add one version that isn't a number?

#8 - 2010-09-15 00:14 - Mezz Anon

Scratch that - I did a fresh checkout of r3559 and everything is in order. Thanks for your help.

#9 - 2010-09-15 00:26 - Felix Schäfer

- Status changed from Reopened to Closed

Good to hear :-)
